### Method

# PapersView AttachmentContext save_attachments_async

#### Declaration [src]

    void
    pps_attachment_context_save_attachments_async (
      PpsAttachmentContext* context,
      GListModel* attachments,
      GtkWindow* parent,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function initiates a file save operation.

The `callback` will be called when the dialog is dismissed.

This method completes asynchronously. Use `pps_attachment_context_save_attachments_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`attachments`

  Type: `GObject`

  The attachments to save.

  The instance takes ownership of the data, and is responsible for freeing it.

`parent`

  Type: `GtkWindow`

  The parent `GtkWindow`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.